> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/oauth2/get-an-oauth2-openid-client-application.md).

# Get an OAuth2/OpenID client application

Non-admin users receive a reduced representation without the client secret.

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"OAuth2","description":"defguard acting as an OAuth2 / OpenID Connect provider for other applications."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/oauth/{client_id}":{"get":{"tags":["OAuth2"],"summary":"Get an OAuth2/OpenID client application","description":"Non-admin users receive a reduced representation without the client secret.","operationId":"get_openid_client","parameters":[{"name":"client_id","in":"path","description":"ID of the OAuth2 client.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OAuth2 client details.","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"OAuth2 client not found."},"500":{"description":"Unable to get OAuth2 client.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
